> For the complete documentation index, see [llms.txt](https://docs.chiliz.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.chiliz.com/ko/gaebal/goseup/nft-jageob/nft-pail-junbi.md).

# NFT 파일 준비

NFT 프로젝트를 위한 파일 준비는 두 가지 구성 요소로 이루어집니다:

* 시각적 자산 (사용자가 보는 것)
* 메타데이터 (블록체인이 읽는 것)

## 시각적 자산

이것은 NFT로 변환하고자 하는 아트워크입니다.

귀하(또는 디자인 팀)는 다음 사양에 맞게 파일을 제작해야 합니다:

### 형식

* 정적 이미지: PNG(품질 우선) 또는 JPG를 사용하세요.
* 동영상: MP4를 사용하세요.\
  \_동영상 카드가 있는 경우, 원활한 로딩을 위해 정적 "썸네일" 이미지도 함께 제작하세요.\_
* 3D 오브젝트: GLB 또는 GLTF를 사용하세요.

### 크기 (종횡비)

일반적으로 NFT는 다음 중 하나의 형식을 사용합니다:

* 정사각형 형식: 1080 x 1080 픽셀.
* 세로형 폰/스토리 형식: 1080 x 1920 픽셀.

### 파일 크기

모바일 지갑에서 빠른 로딩을 위해 파일 크기를 25MB 미만(이상적으로는 10MB 미만)으로 유지하세요.

{% hint style="info" %}

#### 전문가 팁

고해상도 "마스터" 파일(100MB 이상)을 만들되, 이를 메인 NFT 이미지로 사용하지 마세요. 대신, "[잠금 해제 콘텐츠](https://help.rarible.com/hc/en-us/articles/10460251328653-What-is-unlockable-content)" 기능을 활용하여 마스터 파일을 소유자에게만 제공하세요.
{% endhint %}

## 메타데이터

블록체인은 이미지를 직접 저장하지 않습니다(비용이 너무 많이 들기 때문입니다). 블록체인은 JSON 형식의 텍스트 파일에 대한 링크를 저장합니다. 따라서 JSON 파일은 시각적 파일이 실제로 호스팅된 후에만 생성할 수 있습니다.

{% hint style="info" %}
대부분의 최신 도구는 이 과정을 자동으로 처리해 주므로 모든 것을 직접 할 필요가 없습니다.
{% endhint %}

컬렉션의 각 NFT 유형에 대해 JSON 파일이 하나씩 있어야 합니다 (예: "NFT 1"에 대한 JSON 하나, "NFT 2"에 대한 JSON 하나 등).

다음은 NFT의 JSON 파일 예시입니다:

```json
{
  "name": "Mark Whaleon - 2024/25 Season",
  "description": "The official Striker card for Team X, 2024/25 Season. Gold Tier.",
  "image": "ipfs://YOUR_IMAGE_IPFS_ID_GOES_HERE",
  "external_url": "https://example.com/players/whaleon",
  "attributes": [
    {
      "trait_type": "Position",
      "value": "Striker"
    },
    {
      "trait_type": "Jersey Number",
      "value": "10"
    },
    {
      "trait_type": "Season",
      "value": "2024/2025"
    },
    {
      "trait_type": "Rarity",
      "value": "Gold"
    },
    {
      "display_type": "number",
      "trait_type": "Goals Scored",
      "value": 15
    }
  ]
}
```

{% hint style="info" %}
스포츠 관련 카드에서는 속성(attributes)이 매우 중요합니다. 이를 통해 팬들이 마켓플레이스에서 "포지션", "시즌", "희귀도" 등으로 필터링할 수 있습니다.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.chiliz.com/ko/gaebal/goseup/nft-jageob/nft-pail-junbi.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
